curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/golinks/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/golinks/resolve"
payload = { "path": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/golinks/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actionId": "<string>",
"chooserOptions": [
{
"description": "<string>",
"label": "<string>",
"target": {
"action": {
"actionId": "<string>"
},
"chooser": {
"options": "<array>"
},
"redirect": {
"urlTemplate": "<string>"
}
}
}
],
"golink": {
"createdAt": "2023-11-07T05:31:56Z",
"currentVersion": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"routes": [
{
"isCanonical": true,
"routeTemplate": "<string>"
}
],
"status": "GO_LINK_STATUS_UNSPECIFIED",
"target": {
"action": {
"actionId": "<string>"
},
"chooser": {
"options": "<array>"
},
"redirect": {
"urlTemplate": "<string>"
}
},
"updatedAt": "2023-11-07T05:31:56Z"
},
"outcome": "GO_LINK_RESOLVE_OUTCOME_UNSPECIFIED",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"redirectUrl": "<string>",
"suggestions": [
{
"golink": {
"createdAt": "2023-11-07T05:31:56Z",
"currentVersion": 123,
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"displayName": "<string>",
"id": "<string>",
"prerequisite": {
"appEntitlementId": "<string>",
"appId": "<string>"
},
"routes": [
{
"isCanonical": true,
"routeTemplate": "<string>"
}
],
"status": "GO_LINK_STATUS_UNSPECIFIED",
"target": {
"action": {
"actionId": "<string>"
},
"chooser": {
"options": "<array>"
},
"redirect": {
"urlTemplate": "<string>"
}
},
"updatedAt": "2023-11-07T05:31:56Z"
},
"objectPermissions": {
"delete": true,
"edit": true,
"extra": {},
"read": true
}
}
]
}Resolve
Resolve a path to a GoLink target. Returns the resolution outcome (redirect URL, action, chooser, prerequisite, etc.)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The GoLinkServiceResolveRequest message.
The path to resolve, e.g. "jira/PROJ-123", "aws/console", "j"
Response
Successful response
The GoLinkServiceResolveResponse message.
Set when outcome is ACTION. The action ID to trigger.
Set when outcome is CHOOSER. The chooser options to present to the user.
Show child attributes
Show child attributes
GoLink is the API representation of a go-link.
Show child attributes
Show child attributes
The outcome field.
GO_LINK_RESOLVE_OUTCOME_UNSPECIFIED, GO_LINK_RESOLVE_OUTCOME_REDIRECT, GO_LINK_RESOLVE_OUTCOME_PREREQUISITE_MISSING, GO_LINK_RESOLVE_OUTCOME_CHOOSER, GO_LINK_RESOLVE_OUTCOME_ACTION, GO_LINK_RESOLVE_OUTCOME_NOT_FOUND, GO_LINK_RESOLVE_OUTCOME_DISABLED The GoLinkPrerequisite message.
Show child attributes
Show child attributes
Set when outcome is REDIRECT. The fully resolved URL to redirect to.
Set when outcome is NOT_FOUND. Suggested GoLinks that might match the path.
Show child attributes
Show child attributes
Was this page helpful?